local aliyun_oss = {}
aliyun_oss.__index = aliyun_oss

--[[
    创建一个新的 aliyun_oss 对象
    @return 返回一个新的 aliyun_oss 对象
]]
function aliyun_oss.new(db)
    local instance = setmetatable({}, aliyun_oss)
    if db == nil then
        instance.module = fw_aliyunoss.new()
    else
        instance.module = db    
    end
    
    return instance
end

function aliyun_oss:updata(endpoint,access_key_id, access_key_secret,bucket_name,object_name)
    return self.module:updata(endpoint,access_key_id, access_key_secret,bucket_name,object_name)
end
function aliyun_oss:upfile(endpoint,access_key_id, access_key_secret,bucket_name,object_name,filename,content_type)
    return self.module:upfile(endpoint,access_key_id, access_key_secret,bucket_name,object_name,filename,content_type)
end
function aliyun_oss:self()
    return self.module:self()
end

return aliyun_oss
